commit d13bc957c537d3a348f787c23cc4e185f884b89f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 3 12:14:40 2022 -0700

    mkcomposecache 1.2.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 305f61aaead40de256a99868e7a62e6b71d1021f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 16:10:30 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 06cbdd4458e99f4aa9aae3582765b6ecf7d91909
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 16:10:20 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ed6ac5ea1174e9d341b451ecf58cd813b778adac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 16:48:47 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 77d38cfda9db285ea177699d3395a860faa287c5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 20:17:08 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 162d2c56546d2267d8128d79046eda64a2514728
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 9ef8c0665227a81687657daa8b83e4bb83fb53ca
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c96cec5883893eb51ce04ec2f3ab0fc9741867f2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 44981f5648156f74ec3b23525997ab151998cf85
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d1e4a6d13b6804f859c02274a2aad2c185533636
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f232f4ddb260dabdc4e99551a55015a536e2f827
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 18 22:18:00 2014 -0800

    Replace manual calculations of memory allocations with asprintf calls
    
    Includes fallback asprintf() for platforms that don't have it yet.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jasper St. Pierre <jstpierre@mecheye.net>

commit 92bbcc067e4c9d9883521c80cd298f6459ec4a54
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 12:37:25 2011 -0500

    man: previous patch failed to include the new man/Makefile.am
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ea8ff770d809eae850c5dd5bd08789b202ca8aa0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 08:39:06 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7f82c864a830af61360231c8fcb301f1793d4598
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:12:08 2011 -0500

    config: remove unrequired AC_SUBST([*_LIBS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d47743b2fde67fa5b6809f1f0ba40484e06c02c0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:33:47 2011 -0500

    config: remove unrequired AC_SUBST([*_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 120544c54cd543c6d11cd87fd4e3a89084713136
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:10:21 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 45ed136bbacfd4c8b6642393f69cde219adf3a3c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:54:40 2011 -0500

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    It depends on util-macros 1.8 or later
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e747c4a5ea50a7c85a7cf050393bfd8df0381f41
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:23:52 2011 -0500

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit cbc0bd4bcfb903a4cdc27c40d118fd1c15225ece
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:02:05 2011 -0500

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules in one pass is 2.60 dated June 2006.
    
    A version later than 2.60 can be used, but no new features from such
    a later version can be used in configure.ac.
    
    Although the code in this module can be configured with a version earlier
    than 2.60, most of code is now contained in macros from util-macros
    which use features of version 2.60, at the present or in the future.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 29bccd2d75af309ffe63f305a62a522e9c93a99e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 8228315f7da5f93028820f22787a85e29cefdcf2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 12 11:36:06 2009 -0500

    INSTALL, NEWS, README and AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    Remove README file as it is empty and no content available yet.
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.
    For all X.Org components.
    
    ChangeLog is not required in EXTRA_DIST or MAINTAINERCLEANFILES

commit 4abf184e5a618bdbd84937e7dde6af600634f092
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 12 11:31:12 2009 -0500

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit bf6fcf948dec4c78248a1040921b57942120bf16
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 12 11:24:43 2009 -0500

    autogen.sh: upgrade this newly added module to the xorg default one
    
    The original one will not work under some scenarios

commit 86ebdaad7468ac4a523b8e799616b0704d207532
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 20:04:13 2009 -0700

    mkcomposecache 1.2.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 7294fcdefd83f700e9170731a10c86ba1bf05bc9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 19:41:39 2009 -0700

    Man page updates
    
     - use normal Xorg rules for substituting package/system variables
     - fix typos
     - correct default libX11 compose cache path
     - remove Makefile recursion
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a8869a7d68755d7cded916dffcbe22d80af701d1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 19:24:07 2009 -0700

    Remove CVS directory from git repo
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c33d7efc95d0775ad3cd9752c3dfd35d787cdecb
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 19:01:11 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 15754397487840db5a36ec4ebf5292ad602ee1b3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 18:51:06 2009 -0700

    Add pointers to mailing lists, bugzilla, & git to README
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ca02974f722a56d2a2a30a0fcb04e6563d9ebff5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Apr 9 17:45:10 2009 -0700

    Remove use of obsolete -sp X server option
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 8ce50a587505b6aa03ad6cde8a958b0a0040073d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Apr 9 17:41:59 2009 -0700

    Use XORG_CWARNFLAGS instead of hardcoding -Wall in Makefile.am
    
    Also switch changelog generation rule to XORG_CHANGELOG
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit fbaa81a026aaaf8029487c4e960ef4b8bf58d055
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Apr 9 17:38:59 2009 -0700

    Add .gitignore
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit af537f0acbc1bf9db54c10df24246a84bf092277
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Jan 29 12:52:27 2007 +0100

    Bump to 1.2.
    Autogen ChangeLog.
    Unset XMODIFIERS in mkcomposecache.
    Log if XOpenIM() fails.
    mkallcomposecache.sh is more verbose now on Xvfb errors.
    Including old and new font paths in default.

commit 2d7f5a205743698b729be7ad28c116046cbccb73
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Jul 3 16:57:39 2006 +0200

    Bump to 1.1
    Set default cache path to /var/cache/libx11/compose.
    Invocation parameters changed.
    Improved customizability a lot.
    More tests & verification.
    Being more verbose now.
    Works for root now.
    General cleanup.
    Should work out-of-the-box on 64bit machines now.

commit 49de3bc3734a6784d8dd0e1061996e3cf0cbc8ed
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Jul 3 16:55:51 2006 +0200

    Initial checkin.
